[arch-commits] Commit in xorg-res-utils/trunk (3 files)

Eric Bélanger eric at archlinux.org
Sun Apr 26 19:32:38 EDT 2009


    Date: Sunday, April 26, 2009 @ 19:32:38
  Author: eric
Revision: 36701

upgpkg: xorg-res-utils 1.0.3-3
    Added license, FHS man pages

Added:
  xorg-res-utils/trunk/LICENSE.listres
  xorg-res-utils/trunk/LICENSE.viewres
Modified:
  xorg-res-utils/trunk/PKGBUILD

-----------------+
 LICENSE.listres |   42 ++++++++++++++++++++++++++++++++++++++++++
 LICENSE.viewres |   42 ++++++++++++++++++++++++++++++++++++++++++
 PKGBUILD        |   19 +++++++++++++------
 3 files changed, 97 insertions(+), 6 deletions(-)

Added: LICENSE.listres
===================================================================
--- LICENSE.listres	                        (rev 0)
+++ LICENSE.listres	2009-04-26 23:32:38 UTC (rev 36701)
@@ -0,0 +1,42 @@
+Copyright (c) 1989  X Consortium
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to deal
+in the Software without restriction, including without limitation the rights
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in
+all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
+X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
+AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+Except as contained in this notice, the name of the X Consortium shall not be
+used in advertising or otherwise to promote the sale, use or other dealings
+in this Software without prior written authorization from the X Consortium.
+
+  Copyright 2005  Red Hat, Inc.
+ 
+  Permission to use, copy, modify, distribute, and sell this software and its
+  documentation for any purpose is hereby granted without fee, provided that
+  the above copyright notice appear in all copies and that both that
+  copyright notice and this permission notice appear in supporting
+  documentation, and that the name of Red Hat not be used in
+  advertising or publicity pertaining to distribution of the software without
+  specific, written prior permission.  Red Hat makes no
+  representations about the suitability of this software for any purpose.  It
+  is provided "as is" without express or implied warranty.
+ 
+  RED HAT DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
+  INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
+  EVENT SHALL RED HAT BE LIABLE FOR ANY SPECIAL, INDIRECT OR
+  CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
+  DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
+  TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
+  PERFORMANCE OF THIS SOFTWARE.

Added: LICENSE.viewres
===================================================================
--- LICENSE.viewres	                        (rev 0)
+++ LICENSE.viewres	2009-04-26 23:32:38 UTC (rev 36701)
@@ -0,0 +1,42 @@
+Copyright (c) 1989  X Consortium
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to deal
+in the Software without restriction, including without limitation the rights
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in
+all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
+X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
+AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+Except as contained in this notice, the name of the X Consortium shall not be
+used in advertising or otherwise to promote the sale, use or other dealings
+in this Software without prior written authorization from the X Consortium.
+
+  Copyright 2005  Red Hat, Inc.
+ 
+  Permission to use, copy, modify, distribute, and sell this software and its
+  documentation for any purpose is hereby granted without fee, provided that
+  the above copyright notice appear in all copies and that both that
+  copyright notice and this permission notice appear in supporting
+  documentation, and that the name of Red Hat not be used in
+  advertising or publicity pertaining to distribution of the software without
+  specific, written prior permission.  Red Hat makes no
+  representations about the suitability of this software for any purpose.  It
+  is provided "as is" without express or implied warranty.
+ 
+  RED HAT DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
+  INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
+  EVENT SHALL RED HAT BE LIABLE FOR ANY SPECIAL, INDIRECT OR
+  CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
+  DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
+  TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
+  PERFORMANCE OF THIS SOFTWARE.

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-26 23:29:26 UTC (rev 36700)
+++ PKGBUILD	2009-04-26 23:32:38 UTC (rev 36701)
@@ -3,29 +3,36 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xorg-res-utils
 pkgver=1.0.3
-pkgrel=2
+pkgrel=3
 pkgdesc="X.Org X11 resource utilities"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('libxaw')
 makedepends=('pkgconfig')
 groups=('xorg')
 source=(${url}/releases/individual/app/appres-1.0.1.tar.bz2
         ${url}/releases/individual/app/editres-1.0.3.tar.bz2
         ${url}/releases/individual/app/listres-1.0.1.tar.bz2
-        ${url}/releases/individual/app/viewres-1.0.1.tar.bz2)
+        ${url}/releases/individual/app/viewres-1.0.1.tar.bz2
+        LICENSE.listres LICENSE.viewres)
 md5sums=('420e6cdf38bb771ec8b00228bf09e8ff' 'a25f931cc6c8d03daaed434f5db5df2d'\
-         '827a1ac5adf9aadd0c13b54a897e297b' 'cdbed540daf7975b56000420c9aa5bf9')
+         '827a1ac5adf9aadd0c13b54a897e297b' 'cdbed540daf7975b56000420c9aa5bf9'\
+         '9c9b17ae5e9be0c570dabe9e54f54f6d' '9c9b17ae5e9be0c570dabe9e54f54f6d')
 
 build() {
-  cd ${startdir}/src
+  cd ${srcdir}
   for i in *; do
     if [ -d "${i}" ]; then
       pushd "${i}"
-      ./configure --prefix=/usr --disable-xprint
+      ./configure --prefix=/usr --mandir=/usr/share/man --disable-xprint
       make || return 1
-      make DESTDIR=${startdir}/pkg install || return 1
+      make DESTDIR=${pkgdir} install || return 1
+      install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.${i%-*}
       popd
     fi
   done
+#Replacing stub license files
+  install -D -m644 "${srcdir}/LICENSE.listres" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.listres"
+  install -D -m644 "${srcdir}/LICENSE.viewres" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.viewres"
 }



More information about the arch-commits mailing list